<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];

include("../conex.php");

$id_bodega = 2;
$id_tipo_dcto=2;
$id_tipo_pago=3;
echo $id_bodega;
// cabeza 
       $sql_in = "SELECT * FROM oprodu_iquique";	
		
		$res_in = mysql_query($sql_in,$enlace);	
		$row=0;
		while (mysql_fetch_object ($res_in))
          {
		  $txtndcto=mysql_result($res_in, $row, "Opr_numero");
		  $fecha=mysql_result($res_in, $row, "Opr_fecha");
		  
		  $fecha=substr ($fecha, 0, 10);
		  $cliente=mysql_result($res_in, $row, "Cli_codigo");
				  
		  $sql_in_cli = "SELECT * FROM t_iquique where Cli_codigo='$cliente'";
		 
		    $res_in_cli = mysql_query($sql_in_cli,$enlace);
            $rowcli=0;
            while (mysql_fetch_object ($res_in_cli))
		      {
		     $rut = mysql_result($res_in_cli, $rowcli, "Cli_rut");
		     $rowcli=$rowcli+1;
		      }
			 $id_vendedor = 5;  
		 $sql_in_nom = "SELECT * FROM nombres where rut='$rut'";
		
		    $res_in_nom = mysql_query($sql_in_nom,$enlace);
            $rownom=0;
            while (mysql_fetch_object ($res_in_nom))
		      {
		     $id_sucursal= mysql_result($res_in_nom, $rownom, "codigo");
			 $id_zona = mysql_result($res_in_nom, $rownom, "id_zona");
			  $id_vendedor = mysql_result($res_in_nom, $rownom, "id_vendedor");
		     $rownom=$rownom+1;
		      }
			  
	///  detalle	 
		  $neto=0;
		   $sql_in_det = "SELECT * FROM oprodu1_iquique where Opr_numero=$txtndcto";
		  
		  $res_in_det = mysql_query($sql_in_det,$enlace);
            $rowdet=0;
            while (mysql_fetch_object ($res_in_det))
		      {
		     $codigo = mysql_result($res_in_det, $rowdet, "Pro_codigo");
			$sql_in_pro = "SELECT * FROM productos where codigo_fabricante='$codigo'";
		    $res_in_pro = mysql_query($sql_in_pro,$enlace);
            $rowpro=0;
            while (mysql_fetch_object ($res_in_pro))
		      {
		     $pro_codigo = mysql_result($res_in_pro, $rowpro, "codigo");
		     $rowpro=$rowpro+1;
		      }
			 
			 $cantidad = mysql_result($res_in_det, $rowdet, "Opr_pestot");
			 $precio = mysql_result($res_in_det, $rowdet, "Opr_preckg");
			 $desporprod = mysql_result($res_in_det, $rowdet, "Opr_descue");
			 $sub_total = $cantidad*$precio;
			 
			 $neto=$neto+$sub_total;		 
			$sultimo_id=0;
			 
			 
	 $psql = "INSERT INTO movimiento (empresa, rut, entrada_salida_traspaso, fecha, cod_producto, cantidad, precio_unitario,numero_dcto, tipo_dcto, descuentos, sub_total, bodega, id_soe) 
					VALUES ($id_empresa, '$rut', 'S', '$fecha', $pro_codigo, $cantidad, $precio, $txtndcto, $id_tipo_dcto, $desporprod, $sub_total, $id_bodega, $sultimo_id)";
		
			 	mysql_query($psql,$enlace);
		     
			
			 $sql_sal = "UPDATE productos SET saldo=(saldo-$cantidad), u_salida=(u_salida+$cantidad) WHERE empresa=$id_empresa AND codigo = $pro_codigo";
				mysql_query($sql_sal,$enlace);
			
			
			$rowdet=$rowdet+1;
			  }
			 
			  
		     $iva=round($neto*.19);
			 
			 $total=$neto+$iva;
			 
			 
			 $txtdes=0;
		     $txtivar=0;
			 $txtorden='';
			 $hora='12:00';
			 $txtobserva='';
			 
	//**************  pago de facturas *********
      $pago=0;	
		 
			 
	$wsql = "INSERT INTO salida (empresa, rut_cliente, num_dcto, tipo_dcto, fecha_emision, fecha_vencimiento, tipo_pago, descuento, neto, iva, total, productos, iva_retenido, usuario, bodega, vendedor, zona, id_sucursal, hora, orden_compra, observacion, pagada) 
			VALUES ($id_empresa, '$rut', $txtndcto, $id_tipo_dcto, '$fecha', '$fecha', $id_tipo_pago, $txtdes, $neto, $iva, $total, 1, $txtivar, $id_user, $id_bodega, $id_vendedor, $id_zona, $id_sucursal,  '$hora', '$txtorden', '$txtobserva', $pago)";
			
			$consulta = mysql_query($wsql,$enlace);	 


 //++++++++++++++++++++++++++++ Sacar el ultimo
			
			$sql_ultimo = "SELECT id FROM salida WHERE id=last_insert_id()";
			$res_ultimo =  mysql_query($sql_ultimo, $enlace);		
			$sultimo_id =mysql_result($res_ultimo, 0, "id");
			
 //************* actualiza movmientos *********************
			 $sql_sal = "UPDATE movimiento SET id_soe=$sultimo_id WHERE numero_dcto= $txtndcto";
				mysql_query($sql_sal,$enlace);
			
			$des = 'Factura '.$txtndcto;			
	
	//********************* actualiza numero factura ************************	

$up_dcto = "UPDATE tipo_dcto_num_bodega SET correlativo = $txtndcto WHERE id_dcto = '$id_tipo_dcto' AND id_bodega='$id_bodega' AND id_empresa = $id_empresa";
	$res_up_dcto = mysql_query($up_dcto,$enlace);	
	

	if ($pago==0)
	{
	
	//********************* cta_cte
		 
			$csql="INSERT INTO pago_cliente (empresa, rut, num_salida, fecha, descripcion, valor, tipo, usuario, sucursal) 
			VALUES ($id_empresa, '$rut', $sultimo_id, '$fecha', '$des', $total, 'C', $id_user, $id_sucursal)";
			
			$con = mysql_query($csql,$enlace); 
	}
		 	  
		  $row+=1;
	  }





	
		?>
<script>
	alert("Traspaso realizado con exito");
	window.top.open('','_parent','');window.top.close();
</script>
		
	
	
